package com.qizhen.healsphere.service.impl;

import com.qizhen.healsphere.repository.mapper.PresetInfoMapper;
import com.qizhen.healsphere.repository.mapper.entity.PresetInfo;
import com.qizhen.healsphere.service.PresetInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 知识平台预设信息 服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2020-03-31
 */
@Service
public class PresetInfoServiceImpl implements PresetInfoService {

    @Autowired
    private PresetInfoMapper presetInfoMapper;

    @Override
    public PresetInfo getPresetInfo(Integer type) {
        return presetInfoMapper.getPresetInfoByType(type);
    }
}
